Lovense Integration: LovenseIntegration Class Reference

Lovense Integration

Public Attributes | List of all members
LovenseIntegration Class Reference
Inheritance diagram for LovenseIntegration:

## Public Attributes

const LOVENSEINTEGRATION_API FString | configFileName = TEXT("Lovense/Lovense")
| File path+name (excluding file extension) for the lovense config relative to the generated config directory. Value is "Lovense/Lovense".
const LOVENSEINTEGRATION_API FString | configSectionName = TEXT("Lovense.Lovense")
| The config section the config values will be stored under. Value is "Lovense.Lovense".
const LOVENSEINTEGRATION_API FString | configStartWithLovenseActiveKeyName = TEXT("StartWithLovenseActive")
| Config value key name for the StartWithLovenseActive setting. This setting is a bool value. Default is false. If true, lovense will be started on StartupModule(). Defaults to false. Value is "StartWithLovenseActive".
const LOVENSEINTEGRATION_API FString | configMobileDeviceIpOverrideKeyName = TEXT("MobileDeviceIpOverride")
| Deprecated. Superseded by configDeviceIpOverrideKeyName. Only used to upgrade config.
const LOVENSEINTEGRATION_API FString | configMobileDevicePortOverrideKeyName = TEXT("MobileDevicePortOverride")
| Deprecated. Superseded by configDevicePortOverrideKeyName. Only used to upgrade config.
const LOVENSEINTEGRATION_API FString | configDeviceIpOverrideKeyName = TEXT("DeviceIpOverride")
| Config value key name for the DeviceIpOverride setting. This setting is a string value. Default is TEXT(""). If this string contains a valid ip, it will be used to connect with the adapters. Value is "DeviceIpOverride".
const LOVENSEINTEGRATION_API FString | configDevicePortOverrideKeyName = TEXT("DevicePortOverride")
| Config value key name for the DevicePortOverride setting. This setting is a string value. Default is TEXT(""). If this string contains a valid port, it will be used to connect with the adapters. Value is "DevicePortOverride".
const LOVENSEINTEGRATION_API FString | configToyDelayKeyName = TEXT("ToyDelay")

Config value key name for the ToyDelay setting.
This setting is an integer value. Default is 500. Range is 0-2000.
The toy delay adjusts the start time for pattern generation based on animations. (See ULovenseToyAnimationControlComponent)
Value is "ToyDelay".

const LOVENSEINTEGRATION_API FString | configToyStrengthMultiplierKeyName = TEXT("ToyStrengthMultiplier")
| Config value key name for the ToyStrengthMultiplier setting. This setting is a float value. Default is 1.0f. Range if 0.0f-1.0f. The toy strength multiplier scales the speed values before commands are sent. Value is "ToyStrengthMultiplier".
const LOVENSEINTEGRATION_API FString | configToyVibrationKeyName = TEXT("ToyVibration")
| Config value key name for the ToyVibration setting. This setting is a bool value. Default is true. If false, vibration speed values will be set to 0 before commands are sent, so toys will not vibrate. Value is "ToyVibration".
const LOVENSEINTEGRATION_API FString | configToyRotationKeyName = TEXT("ToyRotation")
| Config value key name for the ToyRotation setting. This setting is a bool value. Default is true. If false, rotation speed values will be set to 0 before commands are sent, so toys will not rotate. Value is "ToyRotation".
const LOVENSEINTEGRATION_API FString | configToyAirKeyName = TEXT("ToyAir")
| Config value key name for the ToyAir setting. This setting is a bool value. Default is true. If false, air speed values will be set to 0 before commands are sent, so toys will not pump. Value is "ToyAir".
const LOVENSEINTEGRATION_API FString | configToyThrustingKeyName = TEXT("ToyThrusting")
| Config value key name for the ToyThrusting setting. This setting is a bool value. Default is true. If false, thrusting speed values will be set to 0 before commands are sent, so toys will not thrust. Value is "ToyThrusting".
const LOVENSEINTEGRATION_API FString | configToySuctionKeyName = TEXT("ToySuction")
| Config value key name for the ToySuction setting. This setting is a bool value. Default is true. If false, suction speed values will be set to 0 before commands are sent, so toys will not suck. Value is "ToySuction".
const LOVENSEINTEGRATION_API FString | configToyFingeringKeyName = TEXT("ToyFingering")
| Config value key name for the ToyFingering setting. This setting is a bool value. Default is true. If false, fingering speed values will be set to 0 before commands are sent, so toys will not finger. Value is "ToyFingering".

The documentation for this class was generated from the following files:

- LovenseIntegration/Source/LovenseIntegration/LovenseIntegration.Build.cs
- LovenseIntegration/Source/LovenseIntegration/Public/LovenseTypes.h
- LovenseIntegration/Source/LovenseIntegration/Private/LovenseTypes.cpp